using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.SC.BI
{
    [Description("安全生产系统运行情况汇总")]
    public class T_BI_SYSTEM_RUN_SUMMARY : MesEntityBase
    {
        [Description("父级部门ID")]
        public Guid? PARENT_DEPARTMENT_ID { get; set; }
        [Description("部门ID")]
        public Guid DEPARTMENT_ID { get; set; }
        [Description("部门名称")]
        public string DEPARTMENT_NAME { get; set; }
        [Description("总任务数")]
        public int TOTAL_QTY { get; set; }
        [Description("正常已办")]
        public int FINISH_QTY { get; set; }
        [Description("超时已办")]
        public int OVER_FINISH_QTY { get; set; }
        [Description("未完成数")]
        public int UNFINISH_QTY { get; set; }
        [Description("完成率")]
        public string FINISH_RATE { get; set; }
        [Description("及时完成率")]
        public string NORMAL_FINISH_RATE { get; set; }
        [Description("时间类型")]
        [EnumName("FilterTimeType")]
        public FilterTimeType TYPE { get; set; }
        [Description("部门类型")]
        [EnumName("FMDepartmentType")]
        public FMDepartmentType DEPARTMENT_TYPE { get; set; }
    }
}
